Question: (Closed) Reactome Pathway Analysis
0
gravatar for kalyanimeha
17 months ago by
kalyanimeha30
New Delhi INDIA
kalyanimeha30 wrote:

I am getting this two errors. Can someone give quick solution for this error? I had also installed latest package, and still getting this error.

library(ReactomePA)

Error: package or namespace load failed for ‘ReactomePA’:

object ‘netplot’ is not exported by 'namespace:DOSE'

yy = enrichPathway(gene, pvalueCutoff=0.05)

Error in enrichPathway(gene, pvalueCutoff = 0.05) :

could not find function "enrichPathway"

library(clusterProfiler)

Error: package or namespace load failed for ‘clusterProfiler’:

object ‘dotplot’ is not exported by 'namespace:DOSE'

ADD COMMENTlink modified 17 months ago • written 17 months ago by kalyanimeha30
1

Given your past posts, I believe you have broken some package dependencies. Quick fix: uninstall R and its packages and start from scratch.

If you want packages yet unreleased on CRAN / BioConductor, my suggestion is you should have two R installations: one "stable" where you install only CRAN / BioConductor current packages; another with the latest and greatest of everything: R beta releases, BioConductor devel, etc.

You will need some technical expertise and independence to manage this second installation. Googling error messages is a great start.

https://github.com/GuangchuangYu/clusterProfiler/issues/132

ADD REPLYlink modified 17 months ago • written 17 months ago by h.mon26k
1

Hello kalyanimeha!

Please invest some effort into solving your problems. Also, provide feedback on your previous posts.

For this reason we have closed your question. I will reopen your question once you address the above points.

If you disagree please tell us why in a reply below, we'll be happy to talk about it.

Cheers!

ADD REPLYlink modified 17 months ago • written 17 months ago by RamRS23k

Most likely a package installation issue. You may be missing dependencies. Try reinstalling the packages with their dependencies. Also this is not a bioinformatics question and may be more suitable for the R section of Stack Overflow. Finally, you should provide more details such as the operating system, R version, how you installed the packages ...

ADD REPLYlink written 17 months ago by Jean-Karim Heriche20k

R Studio Version-1.1.442

R Version - 3.4.4

I am installing packages by command available in Bioconductor or should I roll back to an older version of R Studio/R

ADD REPLYlink modified 17 months ago • written 17 months ago by kalyanimeha30
Please log in to add an answer.
The thread is closed. No new answers may be added.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 532 users visited in the last hour